#include <stdio.h>
#include <ctype.h>

char *sec2msf(int sec) 
{
	static char buf[128];
	int m,s,f;
	f = 0;
	s = sec % 60;
	m = sec / 60;
	sprintf(buf, "%02d:%02d:%02d", m, s, f);
	return buf;
}

int main(int argc, char** argv) {
  	int i;
	int track[128];

	FILE *fin, *fout;
	fin = fopen("tr.txt", "r");
	fout = fopen("burn.toc", "w");
	i = 0;
	track[0] = -1;
	while (!feof(fin)) {
		fscanf(fin, "%d\n", &track[i]);
		i++;
		track[i] = -1;
	}
	i = 0;
	while (track[i] != -1) {
		if (i > 0) {
			int off, len;
			len = track[i] - track[i - 1];
			fprintf(fout, "TRACK AUDIO\nFILE \"mix.wav\" ");
			fprintf(fout, "%s ", sec2msf(track[i - 1]));
			fprintf(fout, "%s\n\n", sec2msf(len));

		}
		i++;
	}
	fclose(fin);
	fclose(fout);
  	return 0;
}

